Bug 491796 - traceback from lvm on mdraid
traceback from lvm on mdraid
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
anaconda_trace_hash:5a5e22f8cfdec4ba9...
:
Depends On:
Blocks: F11AnacondaBlocker
  Show dependency treegraph
 
Reported: 2009-03-24 00:51 EDT by Jesse Keating
Modified: 2013-01-10 00:06 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-12 14:52:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (221.45 KB, text/plain)
2009-03-24 00:51 EDT, Jesse Keating
no flags Details
storage log (103.02 KB, text/plain)
2009-03-24 00:53 EDT, Jesse Keating
no flags Details
Attached traceback automatically from anaconda. (214.63 KB, text/plain)
2009-03-27 12:18 EDT, Jesse Keating
no flags Details
Attached traceback automatically from anaconda. (177.61 KB, text/plain)
2009-03-27 14:32 EDT, James Laska
no flags Details
Attached traceback automatically from anaconda. (173.30 KB, text/plain)
2009-04-16 16:43 EDT, Zack Cerza
no flags Details

  None (edit)
Description Jesse Keating 2009-03-24 00:51:23 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.35 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devices.py", line 2063, in mdadmConfEntry
    raise DeviceError("array is not fully defined")
  File "/usr/lib/anaconda/storage/__init__.py", line 1621, in mdadmConf
    conf += array.mdadmConfEntry
  File "/usr/lib/anaconda/storage/__init__.py", line 1580, in write
    mdadm_conf = self.mdadmConf()
  File "/usr/lib/anaconda/yuminstall.py", line 1467, in doPreInstall
    anaconda.id.storage.fsset.write(anaconda.rootPath)
  File "/usr/lib/anaconda/backend.py", line 281, in doPreInstall
    anaconda.backend.doPreInstall(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1317, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 79, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1338, in handleRenderCallback
    self.currentWindow.renderCallback()
DeviceError: array is not fully defined
Comment 1 Jesse Keating 2009-03-24 00:51:29 EDT
Created attachment 336421 [details]
Attached traceback automatically from anaconda.
Comment 2 Jesse Keating 2009-03-24 00:53:25 EDT
Created attachment 336422 [details]
storage log
Comment 3 James Laska 2009-03-24 13:29:06 EDT
Seeing this with anaconda-11.5.0.36 (and http://jgranado.fedorapeople.org/storage/testing/updates-i586.img)
Comment 4 David Lehman 2009-03-24 21:19:37 EDT
This should be fixed in anaconda-11.5.0.37-1.
Comment 5 Jesse Keating 2009-03-27 12:18:00 EDT
Created attachment 337034 [details]
Attached traceback automatically from anaconda.
Comment 6 Jesse Keating 2009-03-27 12:20:15 EDT
This is still happening with anaconda .38 (the beta)
Comment 7 Jesse Keating 2009-03-27 12:46:29 EDT
This is actually a problem with raid0.
Comment 8 James Laska 2009-03-27 14:32:57 EDT
Created attachment 337051 [details]
Attached traceback automatically from anaconda.
Comment 9 Chris Lumens 2009-03-31 11:45:24 EDT
This should be fixed with the next build of anaconda.
Comment 10 Zack Cerza 2009-04-16 16:43:00 EDT
Created attachment 339921 [details]
Attached traceback automatically from anaconda.
Comment 15 Jesse Keating 2009-05-12 14:52:02 EDT
Confirmed, no more tracebacks.

Note You need to log in before you can comment on or make changes to this bug.